Use this guide to connect your website/app to Bossu Data Hub API.
Base URL: https://bossudatahub.com/api.php
My Profile.Developer API Access.Note: On approval, the system auto-generates your API key.
Inside My Profile > Developer API Access:
Pending Approved Rejected Revoked
When approved, copy your generated key from Approved API Key.
X-API-Key: your_keyAuthorization: Bearer your_keyapi_key=your_key in body/querypingbalancepackagescreate_orderorder_statuscurl -X POST "https://bossudatahub.com/api.php" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_APPROVED_KEY" \
-d '{"action":"ping"}'
curl -X POST "https://bossudatahub.com/api.php" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_APPROVED_KEY" \
-d '{"action":"balance"}'
curl -X POST "https://bossudatahub.com/api.php" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_APPROVED_KEY" \
-d '{"action":"packages","network":"mtn"}'
curl -X POST "https://bossudatahub.com/api.php" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_APPROVED_KEY" \
-d '{
"action":"create_order",
"network":"mtn",
"package_key":"1gb",
"recipient_phone":"0241234567",
"external_reference":"my-order-1001",
"callback_url":"https://mysite.com/webhook/bossu"
}'
curl -X POST "https://bossudatahub.com/api.php" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_APPROVED_KEY" \
-d '{"action":"order_status","order_id":"EXT_1700000000_1234"}'
For create_order:
network required (example: mtn)package_key requiredrecipient_phone required format: 0XXXXXXXXXexternal_reference optional but recommendedcallback_url optional (receive webhook when order completes/fails)Include callback_url when creating an order. We'll POST to that URL when status changes to completed, failed, or cancelled.
{
"event": "order.status_updated",
"data": {
"order_id": "EXT_1700000000_1234",
"reference": "my-order-1001",
"status": "completed",
"network": "mtn",
"package_name": "1gb",
"recipient_phone": "0241234567",
"price": 3.95,
"updated_at": "2026-03-30T12:00:00+00:00"
}
}
Content-Type: application/jsonX-Webhook-Event: order.status_updatedUser-Agent: BossuDataHub/1.0Unauthorized: invalid API key -> key invalid, pending, rejected, or revoked.Insufficient balance -> wallet balance too low.Package not found for selected network -> wrong network/package key.Rate limit exceeded -> too many requests in short time.external_reference for each order.order_id and query status with order_status.callback_url to get automatic status updates instead of polling.